# -*- coding: utf-8 -*-
#
# LibreHealth documentation build configuration file

# -- General configuration ------------------------------------------------

# If your documentation needs a minimal Sphinx version, state it here.
#
# needs_sphinx = '1.0'

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# The suffix(es) of source filenames.
# You can specify multiple suffix as a list of string:
#
# source_suffix = ['.rst', '.md']
# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
import sphinx_rtd_theme

source_suffix = ['.rst']

# The master toctree document.
master_doc = 'index'

# General information about the project.
project = u'LibreHealth Community Documentation'
copyright = u'2019, LibreHealth Documentation Team Unless otherwise indicated, this document is licensed under a Creative Commons Attribution 4.0 International License'
author = u'LibreHealth Documentation Team'
html_show_sphinx = True
html_show_copyright = True


# Attempting GitLab integration in RTFD theme
html_context = {
    "display_gitlab": True,  # Integrate Gitlab
    "gitlab_user": "librehealth",  # Username
    "gitlab_repo": "documentation/community-documentation",  # Repo name
    "gitlab_version": "master",  # Version
    "conf_py_path": "/docs/",  # Path in the checkout to the docs root
}

# The version info for the project you're documenting, acts as replacement for
# |version| and |release|, also used in various other places throughout the
# built documents.
#
# The short X.Y version.
version = u''
# The full version, including alpha/beta/rc tags.
release = u''

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#
# This is also used if you do content translation via gettext catalogs.
# Usually you set "language" from the command line for these cases.
language = None

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This patterns also effect to html_static_path and html_extra_path
exclude_patterns = [
    '_build', 'Thumbs.db', '.DS_Store', 'README.md', 'LICENSE.md'
]

# The name of the Pygments (syntax highlighting) style to use.
pygments_style = 'sphinx'

# If true, `todo` and `todoList` produce output, else they produce nothing.
todo_include_todos = False

# -- Options for HTML output ----------------------------------------------

html_theme = 'sphinx_rtd_theme'
html_theme_path = [sphinx_rtd_theme.get_html_theme_path()]

# Add logo stuff
html_theme_options = {
    'logo_only': False,
    'prev_next_buttons_location': True,
    'display_version': True,
}
html_title = "LibreHealth Community Documentation"
html_last_updated_fmt = '%Y-%b-%d'
html_use_smartypants = True

# Theme options are theme-specific and customize the look and feel of a theme
# further.  For a list of options available for each theme, see the
# documentation.
#
# html_theme_options = {}

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ['_static']

# -- Options for HTMLHelp output ------------------------------------------

# Output file base name for HTML help builder.
htmlhelp_basename = 'librehealth-community-documentation'

# -- Options for LaTeX output ---------------------------------------------

latex_elements = {
    # The paper size ('letterpaper' or 'a4paper').
    #
    # 'papersize': 'letterpaper',

    # The font size ('10pt', '11pt' or '12pt').
    #
    # 'pointsize': '10pt',

    # Additional stuff for the LaTeX preamble.
    #
    # 'preamble': '',

    # Latex figure (float) alignment
    #
    # 'figure_align': 'htbp',
}

# Grouping the document tree into LaTeX files. List of tuples
# (source start file, target name, title,
#  author, documentclass [howto, manual, or own class]).
latex_documents = [
    (master_doc, 'librehealth-community-documentation.tex',
     u'LibreHealth Community Documentation', u'LibreHealth',
     'manual'),
]

# -- Options for manual page output ---------------------------------------

# One entry per manual page. List of tuples
# (source start file, name, description, authors, manual section).
man_pages = [(master_doc, 'librehealth-community-documentation',
              u'LibreHealth Community Documentation', [author], 1)]

# -- Options for Texinfo output -------------------------------------------

# Grouping the document tree into Texinfo files. List of tuples
# (source start file, target name, title, author,
#  dir menu entry, description, category)
texinfo_documents = [
    (master_doc, 'librehealth-community-documentation',
     u'LibreHealth Community Documentation', author,
     'librehealth-community-documentation', 'LibreHealth Community Documentation',
     'Miscellaneous'),
]



# def setup(app):
  # app.add_stylesheet('custom.css')
  # app.add_stylesheet('style.css')
